import React from 'react';
export declare enum DIRECTION {
    HORIZONTAL = 0,
    VERTICAL = 1
}
export interface IDividerProps extends React.ComponentPropsWithoutRef<'hr'> {
    /**
     * Defines the direction of the divider
     */
    direction: DIRECTION;
    /**
     * Defines the divider color
     */
    dividerColor?: string;
    /**
     * Defines the divider height
     */
    heightClass?: string;
    /**
     * Defines the divider width
     */
    widthClass?: string;
}
export declare function Divider({ className, direction, dividerColor, heightClass, widthClass, ...rest }: IDividerProps): JSX.Element;
//# sourceMappingURL=Divider.d.ts.map