/// <reference types="react" />
import { ImpactGradesEnum } from '../../constants/impactConstants';
export interface IImpactGradeGaugeProps {
    /**
     * Defines the gauge width (circle diameter to outside edge)
     */
    diameter?: number;
    /**
     * Defines the gauge domain values between min & max value or start & end value
     */
    domain?: [number, number];
    /**
     * Defines the gauge end angle 0 degree to 360 degree
     */
    endAngle?: number;
    /**
     * Defines the width of the gauge which is stroke width of the svg path
     */
    gaugeWidth?: number;
    /**
     * Defines the gauge progress color based on the grade colors from A to E
     */
    grade: ImpactGradesEnum;
    /**
     * Defines the extra offset for diameter (radius)
     */
    offset?: number;
    /**
     * Defines the gauge progress
     */
    score: number;
    /**
     * Defines the gauge start angle 0 degree to 360 degree
     */
    startAngle?: number;
    /**
     * Defines the gauge svg title attribute
     */
    title?: string;
}
export declare function ImpactGradeGauge({ diameter, domain, endAngle, gaugeWidth, grade, offset, score, startAngle, title, }: IImpactGradeGaugeProps): JSX.Element;
//# sourceMappingURL=ImpactGradeGauge.d.ts.map